#include <kernel/tty.h>
#include <kernel/interrupt.h>
#include <stdint.h>

const uint16_t NUM_ID = 0;

void load_idt(struct InterruptDescriptorTable *idt) 
{
    asm("lidt %0" : : "m"(idt));
}

void interrupt_initialize(struct InterruptDescriptorTable IDT) 
{
    terminal_writestring("Loading IDT\n");
    load_idt(&IDT);
}
