#include <kernel/tty.h>
#include <kernel/interrupt.h>
#include <debugging.c>

void kernel_main(void) 
{
	/* Initialize terminal interface */
	terminal_initialize();

    terminal_putchar(get_last_key_pressed());

    char current_character = get_last_key_pressed();
    while (current_character != ',') {
        char tmp = get_last_key_pressed();
        if (current_character != -1 && tmp != current_character) {
            terminal_putchar(current_character);
        }
        current_character = tmp;
    }

    struct InterruptDescriptorTable IDTR = {

    };
    interrupt_initialize(IDTR);

    terminal_writestring("Hello World!");
}
